---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: virt
metadata:
  name: cdi
  description: Containerized Data Importer
options:
  duration:
    default: 87660h
    examples:
    - 87660h
    type: string
  images:
    default:
      apiserver:
        registry: quay.io
        repository: kubevirt/cdi-apiserver
        tag: v1.59.0
      controller:
        registry: quay.io
        repository: kubevirt/cdi-controller
        tag: v1.59.0
      uploadproxy:
        registry: quay.io
        repository: kubevirt/cdi-uploadproxy
        tag: v1.59.0
    examples:
    - apiserver:
        registry: quay.io
        repository: kubevirt/cdi-apiserver
        tag: v1.59.0
      controller:
        registry: quay.io
        repository: kubevirt/cdi-controller
        tag: v1.59.0
      uploadproxy:
        registry: quay.io
        repository: kubevirt/cdi-uploadproxy
        tag: v1.59.0
    properties:
      apiserver:
        default:
          registry: quay.io
          repository: kubevirt/cdi-apiserver
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-apiserver
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      controller:
        default:
          registry: quay.io
          repository: kubevirt/cdi-controller
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-controller
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      uploadproxy:
        default:
          registry: quay.io
          repository: kubevirt/cdi-uploadproxy
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-uploadproxy
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: core
  component: cert-manager
- dist: null
  category: core
  component: secret-generator
- dist: null
  category: crd
  component: cdi
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
